Attribute table : rows are higher than needed (hidpi)

2015-05-06 02:33 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20806

Description

In previous versions, the rows in attribute table fits the height of the content (even better on MACOS X than Windows).

But in fba32f1 nightly build (osgeo4w 64 bits), the row is too high by default and the consequence is that less features are shown on the

screen. See attached file...

Associated revisions

Revision 16f32826 - 2017-03-14 11:32 PM - Etienne Trimaille

backport fix vertical alignment in attribute table references #12700 funded by Kartoza

Revision e4df60b2 - 2017-03-15 07:49 AM - Etienne Trimaille

backport fix vertical alignment in attribute table references #12700 funded by Kartoza

History

#1 - 2015-05-07 01:20 AM - Giovanni Manghi

- Category changed from Attribute table to GUI

not sure if this change was by design or the result of the fixes for high resolution screens.

#2 - 2015-05-11 07:11 AM - Matthias Kuhn

- Priority changed from Severe/Regression to Normal

It was introduced by this change:

https://github.com/qgis/QGIS/pull/2014

Now the row height is calculated automatically based on the text height, before it was hardcoded what led to problems on certain systems. It may be

considered to allow setting a fixed height again, but system-specific and not hard-coded in the application.

#3 - 2015-09-24 10:18 PM - Alessandro Pasotti

- Subject changed from Attribute table : rows are higher than needed to Attribute table : rows are higher than needed (hidpi)

#4 - 2015-11-07 11:26 AM - Giovanni Manghi
https://github.com/qgis/QGIS/pull/2014


- Target version deleted (Version 2.10)

#5 - 2016-03-07 12:02 AM - Andrey Isakov

I agree that the new Attribute table looks ugly.

Now only 27 rows visible on my screen. I manually narrowed rows one by one and this number increased by 25 %!

#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
